Bug 61424 - CONFIGURATION: Normal view not possible with custom short cut key
Summary: CONFIGURATION: Normal view not possible with custom short cut key
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.5.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Shortcuts-Accelerators
  Show dependency treegraph
 
Reported: 2013-02-25 06:33 UTC by bugquestcontri
Modified: 2019-12-06 04:17 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Draw file with screenshot and explanation (27.11 KB, application/vnd.oasis.opendocument.graphics)
2013-02-25 06:33 UTC, bugquestcontri
Details
screen shots to explain meaning of NORMAL (104.29 KB, application/vnd.oasis.opendocument.graphics)
2013-02-26 06:45 UTC, bugquestcontri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugquestcontri 2013-02-25 06:33:31 UTC
Created attachment 75480 [details]
Draw file with screenshot and explanation

Problem description: 
Setting up ctrl+shift+N to display Normal view in Impress does not change screen to Normal view when key combination is pressed.

However, following short cuts set up the same time work:
ctrl+shift+M allocated to view Notes
ctrl+shift+O allocated to view Outline
ctrl+shift+S allocated to view Slide Sorter
work as expected

Following additional tests were made:
- allocation of ctrl+shift+Q and L to Normal view: no change in view
- allocation of ctrl+shift+N to Notes Master view works as expected.



Steps to reproduce:
1) Select Tools / Customized / Keyboard
2) Enter ctrl+shift+N
3) Select in Functions 
----Category: View
----Function: Normal
4) Click Modify
5) Click OK
6) Press ctrl+shift+N

Current behavior:
Ctrl+shift+N or Q does not show Normal View 
but ctrl+shift+N allocated to show Notes Master works as expected. See also attachment for further test results


Expected behavior:
After allocating view Normal to ctrl+shift+N Normal view is displayed.
              
Operating System: Windows XP
Version: 3.6.5.2 release
Comment 1 Rainer Bielefeld Retired 2013-02-25 12:34:29 UTC
@bugquestcontri@online.de 
Currently I am not sure whether I understand what your expect. "Normal" is ambiguous, might be "Normal Tab" or "Normal View" as opposite of "Master View".
"Normal" associated to <control+shift+m> for switch from 'Notes-Master View' to 'Notes-Normal View' works fine

And why do you what to use <Control+Shift+N> what is "New document from Template" by default?

Is my assumtion correct that your "real" problem is that there is no 'Customize -> Keyboard -> View - Function' available for switch to 'Normal Tab'?
Comment 2 bugquestcontri 2013-02-26 06:43:29 UTC
Thanks for looking at this matter.

Additional information about Normal, Normal  View, Normal Tab:

When I used one of above words it alway meant the screen, which I get when I 
click VIEW / NORMAL /
click the tab NORMAL

To avoid any misunderstanding I attached a document with 2 screen shots and explanations.

Why to use crtl+shift+N for this NORMAL VIEW?
Simply it was not allocated to any other function and fitted in my thinking pattern
N = Normal
M = Memo = Notes
S = Slide Sorter
O = Outline

"Handout" I don't really need, thus no allocation of key strokes

New document is allocated to ctrl+N and a new slide within a presentation is also ctrl+N, which works fine.

Key function to switch to Normal Tab
I tried to show in my attachment that it is possible to create a key function to switch to Normal Tab, but is doesn't work

ctrl+shift+N allocated to Notes Master was just a test to see if there is something wrong with "N" being allocated to a function. I could have used any other function beside "Notes Master"
Comment 3 bugquestcontri 2013-02-26 06:45:08 UTC
Created attachment 75553 [details]
screen shots to explain meaning of NORMAL

additional to my latest comment
Comment 4 QA Administrators 2013-09-24 01:58:52 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2013-10-25 15:19:47 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2013-10-25 16:18:42 UTC
Apologies - these were accidentally set to FIXED instead of INVALID - sorry for the noise
Comment 7 bugquestcontri 2013-11-24 15:02:04 UTC
Accidents happen! Don' t worry. 

I installed now 4.1.3.2 and reallocated the keys
alt+M allocated to view Notes => works
alt+O allocated to view Outline => works
alt+S allocated to view Slide Sorter => works
alt+N allocated to view Normal => works NOT


Definition of "Normal" is given in earlier comments above

OS is still the same. XP/SP3
Comment 8 Joel Madero 2014-11-06 17:37:03 UTC
Never confirmed - moving to UNCONFIRMED so QA looks at it. Thanks
Comment 9 bugquestcontri 2014-11-08 13:42:08 UTC
Hi Joel,

I just made a test in 4.2.7.2. Situation is as I described it from the beginning. 

A key assigned to category View and function Normal does not work. The other two mentioned above work fine.

Same I observe in v.4.3.2.2 portable.
Comment 10 Patrik 2014-11-21 18:32:33 UTC
Just trying to switch from powerpoint. It is really annoying not to have a Notes Pane in Normal view. I could probably live with switching with the keyboard shortcuts. But:
- I cannot switch as the bug describes
- Focus is wrong, I cannot enter Text and switch hence and forth

Honestly, this is such a basic feature and seems so easy to fix that I can only conclude that other people do not use the notes feature or do it all at the end, after the whole presentation has been created.

Impress lags much more behind Powerpoint than Writer does to Word. Also in other features.
For the time being, I will have to stay with Powerpoint, it runs well on Linux.
Comment 11 bugquestcontri 2014-11-24 12:55:02 UTC
I just made a test with Version: 4.3.4.1
Build ID: bc356b2f991740509f321d70e4512a6a54c5f243 
and see the same bug as in my original report. 

I hope we will get soon fix for this bug and wonder why this bug is still UNCONFIRMED.

OS is still XP/SP3
Comment 12 raal 2014-12-12 13:41:54 UTC
I can confirm with LO 4.3.4.1, win7
setting CTRL+SHIFT+Q to "view-normal" doesn't work
Comment 13 bugquestcontri 2014-12-26 14:44:38 UTC
Just made a test in Version: 4.3.5.2
Build ID: 3a87456aaa6a95c63eea1c1b3201acedf0751bd5

XP/SP3

Exactly the same bug as in my first posting. No shortcut key possible to change to Normal View mode.

Shortcut keys to switch between all viewing modes would really be great .
Comment 14 Patrik 2015-03-14 10:34:30 UTC
It would also help, if there was the possibility to enter notes directly on the page where the slide is (normal-view). 

As requested in:
https://bugs.documentfoundation.org/show_bug.cgi?id=47448 

This Short-Cut Bug is for me only relevant because I use the note-feature extensively and have therefor to switch often between those two views.
Comment 15 Joel Madero 2015-03-14 14:38:52 UTC
Please refrain from adding additional requests/bugs on a bug. It's important that we keep bug reports to be one bug/enhancement request. Please report your new request in a separate bug.
Comment 16 tommy27 2016-04-16 07:27:50 UTC Comment hidden (obsolete)
Comment 17 Patrik 2016-04-18 07:23:58 UTC
After having received the message wishing a retest of this issue I did just that with Libreoffice 5.0.5.2.

The bug still persists. 

It is possible to assign a keyboard shortcut in Impress to the views:
- Outline
- Notes

but not
- Normal

Which essentially makes it impossible to switch between Notes-View and Normal-View fast. As there is also no equivalent to the notes Pane in Normal-View as it exists in Powerpoint, this makes it a nuisance to work with Notes in Impress at all.

It seems such a small thing to fix a not-working keyboard shortcut. But this is a show-stopper for me. I rather install Powerpoint on Linux with wine, than use Impress.

As this probably sounds bitter: the Writer has become a very good tool to get my work done and I hope that Impress will too.
Comment 18 Joel Madero 2016-04-18 15:04:15 UTC
Please don't update the version - the instructions are pretty clear on this and it just sucks up contributor time to revert. Thank you.
Comment 19 Jamen 2017-04-14 12:32:58 UTC
I am using LibreOffice Impress Version 5.2.5.1 on OpenSUSE 42.2 LEAP and I can confirm that the bug is still present
Comment 20 Xisco Faulí 2017-06-12 11:24:32 UTC
Changing version back to the earliest affected version.
Comment 21 trashyankes 2017-06-16 21:43:17 UTC
every thing work "fine", simply "normal view" action is bind to different thing that button in menu.

Using macro recording I find that "view->normal" action call:

```
dispatcher.executeDispatch(document, ".uno:PageMode", "", 0, Array())
```

but button in menu call:

```
dispatcher.executeDispatch(document, ".uno:NormalMultiPaneGUI", "", 0, Array())
```

This give us one workaround, simply crate macro that call correct action for you:

```
sub Main
rem ----------------------------------------------------------------------
rem define variables
dim document   as object
dim dispatcher as object
rem ----------------------------------------------------------------------
rem get access to the document
document   = ThisComponent.CurrentController.Frame
dispatcher = createUnoService("com.sun.star.frame.DispatchHelper")

rem ----------------------------------------------------------------------
rem dispatcher.executeDispatch(document, ".uno:NotesMode", "", 0, Array())

rem ----------------------------------------------------------------------
dispatcher.executeDispatch(document, ".uno:NormalMultiPaneGUI", "", 0, Array())


end sub
```
Comment 22 QA Administrators 2018-06-18 02:42:39 UTC Comment hidden (obsolete)
Comment 23 thw24 2018-12-02 09:44:24 UTC
Bug is still present in 6.1.3.2, although it is actually possible to use a keyboard shortcut for "Normal" view:

Go to Tools --> Customize --> Keyboard and type "normal" into the Functions field, you'll find "Normal" two times. One in Category "View" (as "Notes" and "Outline") and one in "Modify".
Assigning a keyboard shortcut to the later function works (as expected for doing the same with the "Normal" function under the "View" category)!
Comment 24 QA Administrators 2019-12-06 04:17:59 UTC
Dear bugquestcontri,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug